#include <kernel>
#include <thread>

static const unsigned long N = 60_000ul;

#ifndef PREEMPTION_RATE
#define PREEMPTION_RATE 10`ms
#endif

Duration default_preemption() {
	return PREEMPTION_RATE;
}

thread worker_t {};

void main(worker_t & this) {}

int main(int argc, char* argv[]) {
	processor p;
	for(int i = 0; i < N; i++) {
		worker_t w[7];
	}
}
